Bug 145539 - skfddi driver does not work properly
skfddi driver does not work properly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 10:14 EST by Albert Ortiz
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Ortiz 2005-01-19 10:14:00 EST
Description of problem:
I'm in a hurry installing two new HP DL360 G4 servers 
with Fedora Core 2.

All fedora installation went fine but the system generates an error
with my Syskonnect SK-5544 FDDI cards (yes I know this architechture 
is obsolete but is what I have). I didn't have any problems with this
cards in other old servers I installed before (Redhat 8 and SuSE).

The dmesg says:
Syskonnect FDDI PCI Adapter driver 2.07
skfp:Invalid PCI region size: 2048
skfddi: probe of 0000.0a.01.0  failed with error -5

lspci detects my card without problems and the BIOS detects it too.

I've updated the kernel to the newest version but the problem is the
same. I compiled the kernel by myself and the problem continues.


Version-Release number of selected component (if applicable):


How reproducible:
Starting the machine or installing FDDI modules by hand from "insmod".

Steps to Reproduce:
1. Start Fedora core 2 and look into log files

  
Actual results:
Syskonnect FDDI PCI Adapter driver 2.07
skfp:Invalid PCI region size: 2048
skfddi: probe of 0000.0a.01.0  failed with error -5

Expected results:
FDDI working

Additional info:
no
Comment 1 Albert Ortiz 2005-01-21 03:44:45 EST
Hi,
also looking into messages I've found this other:

 kernel: SysKonnect FDDI PCI Adapter driver v2.07 for
 kernel:   SK-55xx/SK-58xx adapters (SK-NET FDDI-FP/UP/LP)
 kernel: ACPI: PCI interrupt 0000:0a:01.0[A] -> GSI 72 (level, low) ->
IRQ 225
 kernel: skfp: Invalid PCI region size: 2048
 kernel: skfddi: probe of 0000:0a:01.0 failed with error -5
Comment 2 Albert Ortiz 2005-01-21 04:06:56 EST
commands executed :
Kernel version:
Linux xxxxx 2.6.10-1.9_FC2smp #1 SMP Thu Jan 13 18:14:38 EST 2005 i686
i686 i386
GNU/Linux

lspci -v:
0a:01.0 FDDI network controller: Syskonnect (Schneider & Koch) FDDI
Adapter (rev 16)
        Subsystem: Syskonnect (Schneider & Koch) FDDI SK-5544 (SK-NET
FDDI-LP DAS)
        Flags: bus master, medium devsel, latency 64, IRQ 225
        Memory at fdff0000 (32-bit, non-prefetchable)
        I/O ports at 5000 [size=256]

more /proc/ioports:
(..)
4000-4fff : PCI Bus #02
  4000-40ff : 0000:02:01.0
    4000-40ff : cciss
5000-5fff : PCI Bus #06
  5000-5fff : PCI Bus #0a
    5000-50ff : 0000:0a:01.0
Comment 3 Albert Ortiz 2005-01-21 04:21:42 EST
sorry for first comentary I disabled acpi (booting with acpi=off) and
the line with ACPI does not appear anymore:

 kernel: SysKonnect FDDI PCI Adapter driver v2.07 for
 kernel:   SK-55xx/SK-58xx adapters (SK-NET FDDI-FP/UP/LP)
 kernel: skfp: Invalid PCI region size: 2048
 kernel: skfddi: probe of 0000:0a:01.0 failed with error -5
Comment 4 Dave Jones 2005-04-16 00:55:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.